#pragma once
#include "User/Data/CsdkUser.h"
#include "CsdkBlock.generated.h"

USTRUCT(BlueprintType)
struct FCsdkBlockInfo
{
	GENERATED_BODY()
	
	UPROPERTY(EditAnywhere,BlueprintReadOnly,Category= "Csdk|Relationship|Block")
	FDateTime blockTime;
	UPROPERTY(EditAnywhere,BlueprintReadOnly,Category= "Csdk|Relationship|Block")
	TMap<FString,FString> Extra;
	
};


USTRUCT(BlueprintType)
struct FCsdkBlock 
{
	GENERATED_BODY()
public:	
	UPROPERTY(EditAnywhere,BlueprintReadOnly,Category= "Csdk|Relationship|Block")
	FCsdkUser User;
	UPROPERTY(EditAnywhere,BlueprintReadOnly,Category= "Csdk|Relationship|Block")
	FCsdkBlockInfo BlockedInfo;
	
};
